Subject: Re: Initdb FATAL error shmat - Win98 Cygwin 1.5.10-3 - PostgreSQL 7.4.3
From: Mos <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 03 Aug 2004 21:46:45 -0100

I install PostgreSQL 7.4.2 today without changing Cygwin install. Initdb 
works fine : initialization is good !

Mos

-----------------

On Aug  2 20:57, Mos wrote:
 > Hi there !
 >
 >
 > I have a problem to work with PostgreSQL with Cygwin.
 >
 > My OS is Windows 98 and I install cygwin full package, following numerous
 > tutorials available on the Net.
 >
 > All is fine except, I can not initialize a database :
 > All is fine until i try to initialize the database :
 >
 > ---------------
 > creating directory /usr/local/pgsql/data... ok
 > creating directory /usr/local/pgsql/data/base... ok
 > creating directory /usr/local/pgsql/data/global... ok
 > creating directory /usr/local/pgsql/data/pg_xlog... ok
 > creating directory /usr/local/pgsql/data/pg_clog... ok
 > selecting default max_connections... 10
 > selecting default shared_buffers... 50
 > creating configuration files... ok
 > creating template1 database in /usr/local/pgsql/data/base/1... FATAL:
 > shmat<id=
 > 1179648> failed: Invalid argument

I tried it and it actually only happens on 9x.  I found that postgres
tries to shmat to an address which I have no idea about where it comes
from.  The problem with that address is, that it's neither a multiple
of SHMLBA, nor does postgres call shmat with the SHM_RND flag.  For some
reason the address is ok on NT.

So, Jason, do you have an idea why that happens?  Two questions come to mind:

- How does postgres evaluate that address and why does it only fail on 9x?

- Why does postgres use a fixed address at all, instead of using NULL to
   let the system decide which address to use?

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Co-Project 
Leader          <mailto:[email-masked]>mailto:[email-masked]
Red Hat, Inc.

wi  

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/